import dayjs from 'dayjs/esm';

import { IInputData, NewInputData } from './input-data.model';

export const sampleWithRequiredData: IInputData = {
  id: 16944,
  sourceValue: 21379.99,
  variableValue: 29223.59,
  imputedValue: 10636.15,
  sourceType: 'DISTRIB',
  changeDate: dayjs('2024-10-15T05:39'),
  changeUsername: 'fluid including tackle',
  creationDate: dayjs('2024-10-14T17:28'),
  creationUsername: 'fully',
};

export const sampleWithPartialData: IInputData = {
  id: 23147,
  sourceValue: 13759.42,
  variableValue: 3099.36,
  imputedValue: 8504.79,
  sourceType: 'FILE',
  changeDate: dayjs('2024-10-14T22:12'),
  changeUsername: 'fourths cruelly',
  dataUser: 'sleepily default cannibal',
  creationDate: dayjs('2024-10-15T09:15'),
  creationUsername: 'competence counselling',
  version: 31911,
};

export const sampleWithFullData: IInputData = {
  id: 938,
  sourceValue: 13503.88,
  variableValue: 17193.53,
  imputedValue: 9372.84,
  sourceType: 'MANUAL',
  dataDate: dayjs('2024-10-15'),
  changeDate: dayjs('2024-10-15T02:36'),
  changeUsername: 'justly ouch',
  dataSource: 'shrivel unlike medical',
  dataUser: 'prioritise frozen',
  dataComments: 'finally',
  creationDate: dayjs('2024-10-14T19:32'),
  creationUsername: 'briskly consequently',
  version: 21303,
};

export const sampleWithNewData: NewInputData = {
  sourceValue: 31581.72,
  variableValue: 31193.23,
  imputedValue: 7344.8,
  sourceType: 'FILE',
  changeDate: dayjs('2024-10-15T03:23'),
  changeUsername: 'boohoo pirate capitalise',
  creationDate: dayjs('2024-10-15T03:04'),
  creationUsername: 'so emergence',
  id: null,
};

Object.freeze(sampleWithNewData);
Object.freeze(sampleWithRequiredData);
Object.freeze(sampleWithPartialData);
Object.freeze(sampleWithFullData);
